<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="restaurant">
            <h2><span jhiTranslate="restaurantApplicationApp.restaurant.detail.title">Restaurant</span> {{restaurant.id}}</h2>
            <hr>
            <jhi-alert-error></jhi-alert-error>
            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="restaurantApplicationApp.restaurant.name">Name</span></dt>
                <dd>
                    <span>{{restaurant.name}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.restaurant.addressLine1">Address Line 1</span></dt>
                <dd>
                    <span>{{restaurant.addressLine1}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.restaurant.addressLine2">Address Line 2</span></dt>
                <dd>
                    <span>{{restaurant.addressLine2}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.restaurant.city">City</span></dt>
                <dd>
                    <span>{{restaurant.city}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.restaurant.postcode">Postcode</span></dt>
                <dd>
                    <span>{{restaurant.postcode}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.restaurant.telephone">Telephone</span></dt>
                <dd>
                    <span>{{restaurant.telephone}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.restaurant.fax">Fax</span></dt>
                <dd>
                    <span>{{restaurant.fax}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.restaurant.email">Email</span></dt>
                <dd>
                    <span>{{restaurant.email}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.restaurant.owner">Owner</span></dt>
                <dd>
                    <span>{{restaurant.owner}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.restaurant.customer">Customer</span></dt>
                <dd>
                    <span *ngFor="let customer of restaurant.customers; let last = last">
                        <a [routerLink]="['/customer', customer?.id, 'view' ]">{{customer.id}}</a>{{last ? '' : ', '}}
                    </span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.restaurant.invoice">Invoice</span></dt>
                <dd>
                    <span *ngFor="let invoice of restaurant.invoices; let last = last">
                        <a [routerLink]="['/invoice', invoice?.id, 'view' ]">{{invoice.id}}</a>{{last ? '' : ', '}}
                    </span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon [icon]="'arrow-left'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/restaurant', restaurant.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon [icon]="'pencil-alt'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
            </button>
        </div>
    </div>
</div>
